# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

installer:
	@$(MAKE) -C malepoon/installer installer

package:
	@$(MAKE) -C malepoon/installer make-archive

l10n-package:
	@$(MAKE) -C malepoon/installer make-langpack

mozpackage:
	@$(MAKE) -C malepoon/installer

package-compare:
	@$(MAKE) -C malepoon/installer package-compare

stage-package:
	@$(MAKE) -C malepoon/installer stage-package make-buildinfo-file

install::
	@$(MAKE) -C malepoon/installer install

clean::
	@$(MAKE) -C malepoon/installer clean

distclean::
	@$(MAKE) -C malepoon/installer distclean

source-package::
	@$(MAKE) -C malepoon/installer source-package

upload::
	@$(MAKE) -C malepoon/installer upload

source-upload::
	@$(MAKE) -C malepoon/installer source-upload

hg-bundle::
	@$(MAKE) -C malepoon/installer hg-bundle

l10n-check::
	@$(MAKE) -C malepoon/locales l10n-check

ifdef ENABLE_TESTS
# Implemented in testing/testsuite-targets.mk

mochitest-browser-chrome:
	$(RUN_MOCHITEST) --browser-chrome
	$(CHECK_TEST_ERROR)

mochitest:: mochitest-browser-chrome

.PHONY: mochitest-browser-chrome

mochitest-metro-chrome:
	$(RUN_MOCHITEST) --metro-immersive --browser-chrome
	$(CHECK_TEST_ERROR)


endif
